#include-once
;BASSCD 2.4 Visual Basic module
;Copyright (c) 2003-2008 Un4seen Developments Ltd.
;See the BASSCD.CHM file for more detailed documentation

;Additional error codes returned by BASS_ErrorGetCode
GLOBAL CONST $BASS_ERROR_NOCD = 12      ;no CD in drive
GLOBAL CONST $BASS_ERROR_CDTRACK = 13   ;invalid track number
GLOBAL CONST $BASS_ERROR_NOTAUDIO = 17  ;not an audio track

;Additional BASS_SetConfig options
GLOBAL CONST $BASS_CONFIG_CD_FREEOLD = 0x10200
GLOBAL CONST $BASS_CONFIG_CD_RETRY = 0x10201
GLOBAL CONST $BASS_CONFIG_CD_AUTOSPEED = 0x10202
GLOBAL CONST $BASS_CONFIG_CD_SKIPERROR = 0x10203

;BASS_CD_SetInterface options
GLOBAL CONST $BASS_CD_IF_AUTO = 0
GLOBAL CONST $BASS_CD_IF_SPTI = 1
GLOBAL CONST $BASS_CD_IF_ASPI = 2
GLOBAL CONST $BASS_CD_IF_WIO = 3

$BASS_CD_INFO = 'long vendor;' & _ ;manufacturer
				'long product;' & _ ;model
				'long rev;' & _ ;revision
				'long letter;' & _ ;drive letter
				'long rwflags;' & _ ;read/write capability flags
				'long canopen;' & _ ;BASS_CD_DOOR_OPEN/CLOSE is supported?
				'long canlock;' & _ ;BASS_CD_DOOR_LOCK/UNLOCK is supported?
				'long maxspeed;' & _ ;max read speed (KB/s)
				'long cache;' & _ ;cache size (KB)
				'long cdtext;' ;can read CD-TEXT

;"rwflag" read capability flags
GLOBAL CONST $BASS_CD_RWFLAG_READCDR = 1
GLOBAL CONST $BASS_CD_RWFLAG_READCDRW = 2
GLOBAL CONST $BASS_CD_RWFLAG_READCDRW2 = 4
GLOBAL CONST $BASS_CD_RWFLAG_READDVD = 8
GLOBAL CONST $BASS_CD_RWFLAG_READDVDR = 16
GLOBAL CONST $BASS_CD_RWFLAG_READDVDRAM = 32
GLOBAL CONST $BASS_CD_RWFLAG_READANALOG = 0x10000
GLOBAL CONST $BASS_CD_RWFLAG_READM2F1 = 0x100000
GLOBAL CONST $BASS_CD_RWFLAG_READM2F2 = 0x200000
GLOBAL CONST $BASS_CD_RWFLAG_READMULTI = 0x400000
GLOBAL CONST $BASS_CD_RWFLAG_READCDDA = 0x1000000
GLOBAL CONST $BASS_CD_RWFLAG_READCDDASIA = 0x2000000
GLOBAL CONST $BASS_CD_RWFLAG_READSUBCHAN = 0x4000000
GLOBAL CONST $BASS_CD_RWFLAG_READSUBCHANDI = 0x8000000
GLOBAL CONST $BASS_CD_RWFLAG_READISRC = 0x20000000
GLOBAL CONST $BASS_CD_RWFLAG_READUPC = 0x40000000

;additional BASS_CD_StreamCreate/File flags
GLOBAL CONST $BASS_CD_SUBCHANNEL = 0x200
GLOBAL CONST $BASS_CD_SUBCHANNEL_NOHW = 0x400

;additional CD sync types
GLOBAL CONST $BASS_SYNC_CD_ERROR = 1000
GLOBAL CONST $BASS_SYNC_CD_SPEED = 1002

;BASS_CD_Door actions
GLOBAL CONST $BASS_CD_DOOR_CLOSE = 0
GLOBAL CONST $BASS_CD_DOOR_OPEN = 1
GLOBAL CONST $BASS_CD_DOOR_LOCK = 2
GLOBAL CONST $BASS_CD_DOOR_UNLOCK = 3

;BASS_CD_GetID flags
GLOBAL CONST $BASS_CDID_UPC = 1
GLOBAL CONST $BASS_CDID_CDDB = 2
GLOBAL CONST $BASS_CDID_CDDB2 = 3
GLOBAL CONST $BASS_CDID_TEXT = 4
GLOBAL CONST $BASS_CDID_CDPLAYER = 5
GLOBAL CONST $BASS_CDID_MUSICBRAINZ = 6
GLOBAL CONST $BASS_CDID_ISRC = 0x100 ;+ track #

;BASS_CHANNELINFO type
GLOBAL CONST $BASS_CHANNEL_STREAM_CD = 0x10200